float4		g_vCoordUVOffset;		
float4x4	g_mWorldToProj;		

struct outputPixel
{	
    float4	Position			:	POSITION;	
    float2	vDiffuse_Coord		:	TEXCOORD0;			
};	
	
	
				
outputPixel	Pixel_Bump_VS( 
	in float3	vPos		: POSITION,
	in float2	vUV			: TEXCOORD0)
{	
	outputPixel	resultOut;
	vUV.x *= g_vCoordUVOffset.z;
	vUV.y *= g_vCoordUVOffset.w;
	resultOut.vDiffuse_Coord = vUV +g_vCoordUVOffset.xy;
	resultOut.Position	= mul(float4(vPos,1.f), g_mWorldToProj);	
	return resultOut;
}	
	
	
	

	



	
	




