sampler s0 : register(s0);	

float2   g_fScaleCoord;
float2   g_fAddCoord;
float4   g_fClamp;

			
float4  Pixel_Bump_PS
(	
  in  float3  vDiffuse_Coord		:	TEXCOORD0		
): COLOR
{	
	float2  fAngleCoord = float2(0.0, 0.0);
	vDiffuse_Coord = normalize(vDiffuse_Coord);
	fAngleCoord.y = asin(vDiffuse_Coord.y)*g_fScaleCoord.y;
	fAngleCoord.x = atan2(vDiffuse_Coord.z,vDiffuse_Coord.x)*g_fScaleCoord.x;
	fAngleCoord  += g_fAddCoord;
	float4  resultColor = tex2D(s0,fAngleCoord);	
	float   fAlpha0 = max(g_fClamp.x - fAngleCoord.x,0.0);
	float   fAlpha1 = max(fAngleCoord.x - g_fClamp.y,0.0);
	float   fAlpha2 = max(g_fClamp.z - fAngleCoord.y,0.0);
	float   fAlpha3 = max(fAngleCoord.y - g_fClamp.w,0.0);
	fAlpha0 = max(fAlpha0,fAlpha1);
	fAlpha0 = max(fAlpha0,fAlpha2);
	fAlpha0 = 1.0 - max(fAlpha0,fAlpha3) / 0.00001;
	resultColor.w = max(fAlpha0, 0.0);
	return resultColor;		
}	
	
	
	
	
	
	
	
	

